<?php 
/*
Plugin Name: Page Comments Off Please
Version: 1.0
License: GPL2
Plugin URI: http://techism.com/2010/dev/wp-plugins/page-comments-off-please/
Author: Joe Melberg
Author URI: http://techism.com
Description: This plug-in un-checks the "allow comments" and "allow trackbacks/pingbacks" checkboxes by default for new pages while leaving the default behavior for posts alone.
* 
    Copyright 2010  TECHISM LLC  (email : melberg@techism.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License, version 2, as 
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/


function page_comments_off_please() {
	// This function checks if you are creating a new page and turns off
	// the allow comments / allow pingbacks check boxes.
	// it's a simple plugin, and my first.  Enjoy!
	// //
	if(isset($_REQUEST['post_type'])) {
		// I couldn't fig up a hook that would give me $post object,
		// so a crude circumstantial work-around was to use the fact 
		// that wordpress sets the request var post_type = page on
		// new page creation.  
		// 
		// This may be triggered in other places, but the javascript 
		// will simply fail in that case.  Hopefully with some grace...
		// //
		if ($_REQUEST['post_type'] == "page") {
			// A simple javascript unchecks the boxes for you.
			// I would have prefered something more php-oriented,
			// but I just coudln't find the right hooks to make it
			// happen reliably.  
			// //
			$fixit = <<<ENDIT
				<script>
					if (document.post) {
						var the_comment = document.post.comment_status;
						var the_ping = document.post.ping_status;
						if (the_comment && the_ping) {
							the_comment.checked = false;
							the_ping.checked = false;
						}
					}									
				</script>"
ENDIT;
				echo $fixit;
		}
	}
}

add_action ( 'admin_footer', 'page_comments_off_please' );


?>
